<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.hyades.sd.logc"
   name="%PLUGIN_NAME"
   version="3.0.0"
   provider-name="%PROVIDER_NAME"
   class="org.eclipse.hyades.sd.logc.SDLogcPlugin">

   <runtime>
      <library name="sd_logc.jar">
         <export name="*"/>
         <packages prefixes="org.eclipse.hyades.sd.logc"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.hyades.models.hierarchy"/>
      <import plugin="org.eclipse.hyades.models.cbe"/>
      <import plugin="org.eclipse.hyades.log.ui"/>
      <import plugin="org.eclipse.hyades.logc"/>
      <import plugin="org.eclipse.hyades.uml2sd.ui"/>
      <import plugin="org.eclipse.hyades.trace.ui"/>      
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>
   </requires>


   <extension
         point="org.eclipse.hyades.ui.analyzerExtensions">
      <analyzerExtension
            name="%STR_MENU_LOR"
            type="Logging"
            icon="./icons/full/obj16/sequencediagram_obj.gif"
            class="org.eclipse.hyades.sd.logc.internal.actions.OpenLogViewAction"
            id="org.eclipse.hyades.sd.logc.internal.actions.ROpenLogViewAction"
            extension="trace">
      </analyzerExtension>
      <analyzerExtension
            name="%STR_MENU_LOT"
            type="Logging"
            icon="./icons/full/obj16/sequencediagram_obj.gif"
            class="org.eclipse.hyades.sd.logc.internal.actions.OpenLogViewAction"
            id="org.eclipse.hyades.sd.logc.internal.actions.TOpenLogViewAction"
            extension="trace">
      </analyzerExtension>
   </extension>
 
   <extension
         point="org.eclipse.ui.popupMenus">
      <objectContribution
            objectClass="org.eclipse.hyades.sd.logc.internal.uml2sd.TargetOutOfPageMessage"
            id="org.eclipse.hyades.sd.logc.internal.actions.GoToTarget">
         <action
               label="%GO_TO_TARGET"
               style="push"
               state="true"
               class="org.eclipse.hyades.sd.logc.internal.actions.GoToTarget"
               menubarPath="additions"
               enablesFor="1"
               id="org.eclipse.hyades.sd.logc.internal.actions.GoToTarget">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="org.eclipse.hyades.sd.logc.internal.uml2sd.SourceOutOfPageMessage"
            id="org.eclipse.hyades.sd.logc.internal.actions.GoToSource">
         <action
               label="%GO_TO_SOURCE"
               style="push"
               state="true"
               class="org.eclipse.hyades.sd.logc.internal.actions.GoToSource"
               menubarPath="additions"
               enablesFor="1"
               id="org.eclipse.hyades.sd.logc.internal.actions.GoToSource">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="org.eclipse.hyades.sd.logc.internal.uml2sd.LogGraphNode"
            id="org.eclipse.hyades.sd.logc.internal.actions.OpenLogView">
         <action
               label="%OPEN_LOG_VIEW"
               style="push"
               icon="icons/full/obj16/log_view.gif"
               state="true"
               class="org.eclipse.hyades.sd.logc.internal.actions.OpenLogView"
               menubarPath="additions"
               enablesFor="1"
               id="org.eclipse.hyades.sd.logc.internal.actions.OpenLogView">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="org.eclipse.hyades.models.cbe.CBECommonBaseEvent"
            id="org.eclipse.hyades.sd.logc.internal.actions.OpenTimeBaseUML2SDViewAction">
         <action
               label="%STR_SHOW_TIME_BASE_CORRELATION"
               class="org.eclipse.hyades.sd.logc.internal.actions.OpenTimeBaseUML2SDViewAction"
               menubarPath="open.views"
               enablesFor="1"
               id="org.eclipse.hyades.sd.logc.internal.actions.OpenTimeBaseUML2SDViewAction">
         </action>
      </objectContribution>
   </extension>
<!--===============================================================-->
   <extension
         point="org.eclipse.ui.preferencePages">
      <page
            name="%STR_LOG_INTERAC_PAGE"
            category="org.eclipse.hyades.uml2sd.ui.preferences.SDViewerPage"
            class="org.eclipse.hyades.sd.logc.internal.preferences.LogInteractionsPreferencePage"
            id="org.eclipse.hyades.sd.ui.preferences.FilterCallPreferencePage">
      </page>
   </extension>
   
   <extension
         point="org.eclipse.hyades.uml2sd.ui.uml2SDLoader">
      <uml2SDLoader
            name="%STR_MENU_LOR"
            class="org.eclipse.hyades.sd.logc.internal.loader.LogInteractions"
            id="org.eclipse.hyades.sd.logc.internal.loader.LogInteractions">
      </uml2SDLoader>
      <uml2SDLoader
            name="%STR_MENU_LOT"
            class="org.eclipse.hyades.sd.logc.internal.loader.LogThreadInteractions"
            id="org.eclipse.hyades.sd.logc.internal.loader.LogthreadInteractions">
      </uml2SDLoader>

   </extension>
   
   	<extension point="org.eclipse.help.contexts">
		<contexts file="LogInteractionInfopopContexts.xml" plugin="org.eclipse.hyades.sd.logc"/>
	</extension>

</plugin>
